<?php

namespace Drupal\recaptcha_preloader\Service;

/**
 * Interface RecaptchaPreloaderHelperInterface.
 *
 * @package Drupal\recaptcha_preloader\Service
 */
interface RecaptchaPreloaderHelperInterface {

  /**
   * Disable submit form elements.
   *
   * @param array $elements
   *   The element array.
   */
  public function search(array &$elements);

  /**
   * Check if required settings are set to values for using preloader.
   *
   * @return bool
   *   TRUE if settings are set as needed.
   */
  public function isAvailable();

  /**
   * Generate a challenge.
   *
   * @return array
   *   The challenge.
   */
  public function build();

}
